#!/usr/bin/env python

"""
show.py
Prepare a .show.xml file for planetarium from PNG images

"""

__author__ = "Miroslav Broz (miroslav.broz@email.cz)"
__version__ = "Dec 21st 2016"

import subprocess

str_ = "100let"
out = subprocess.check_output("ls *.png", shell=True)

i = 0
t = 0
s1 = ""
s2 = ""

for fin in out.split():
    i += 1
    s1 += """    <Image id="Image_%02d" url="Z:\Media\HPHK\Obrazky\%s\pov\%s" loadOnDemand="false" preroll="2" mapping="dome" gamma="1.8" width="-2" height="-2" mipLevels="1" format="unknown" colorKey="#00000000" />
""" % (i, str_, fin)
    s2 += """    <Billboard id="Billboard_%02d" layerRef="Layer_1" track="Track_1" numRepeats="0" duration="60" startTime="%04d" opacity="1" zindex="0" color="#FFFFFFFF" resourceRef="Image_%02d" system="none" width="53.3333333" height="40" audioVolume="0" verticalAlign="center" playOffset="0">
      <Position azimuth="0" height="20" radius="1" roll="0" scaleWidth="1" scaleHeight="1" />
    </Billboard>
""" % (i, t, i)
    t += 60

fout = open("%s.show.xml" % (str_), "w")

fout.write("""<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE Show SYSTEM "Show.dtd">
<Show name="Show" version="1.0.0 RC5" looped="false">
  <Resources id="ResourceList_1">
%s  </Resources>
  <Layers id="LayerList_1">
    <Layer id="Layer_1" enabled="true" type="dome" blend="alphablend" zindex="0" backgroundOpacity="0" opacity="1" cameraMode="global" color="#000000FF" modulationColor="#FFFFFFFF" />
  </Layers>
  <Chapter id="Chapter_1" name="Chapter_1" numRepeats="0" enabled="true">
%s  </Chapter>
</Show>
""" % (s1, s2))

fout.close()


